<?php
$servername = "localhost";
$username = "root";
$password = "";
$dbname = "calisthenics_workout_tracker";

$conn = mysqli_connect($servername, $username, $password, $dbname);

if (!$conn) {
  die("Connection failed: " . mysqli_connect_error());
}

$sql = "SELECT * FROM exercises";
$result = mysqli_query($conn, $sql);

$output = "";

if (mysqli_num_rows($result) > 0) {
  $output = "<h2>Your Workouts</h2>";
  $output .= "<table><tr><th>Body Part</th><th>Workout</th><th>Reps</th><th>Sets</th><th>Date</th></tr>";
  while($row = mysqli_fetch_assoc($result)) {
    $output .= "<tr><td>" . $row["bodypart"] . "</td><td>" . $row["workout"] . "</td><td>" . $row["reps"] . "</td><td>" . $row["sets"] . "</td><td>" . $row["date_performed"] . "</td></tr>";
  }
  $output .= "</table>";
} else {
  $output = "No workouts found!";
}

mysqli_close($conn);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="Style/Style.css">
    <style>
        body{
         background-image: url("Images/calisthenicspark.avif");
         background-size: cover; 
        } 
    </style>
</head>
<body>
  <img src="Images/WorkoutHistory.gif" id="titleOutput" alt="Workout History Title">
  <?php echo $output; ?>  <br>
  <button id="back" onclick="window.location.href = 'project3Index.php';">Back to Homepage</button>
</body>
</html>


