<?php
$servername = "localhost";
$username = "root";
$password = "";
$dbname = "calisthenics_workout_tracker";

$conn = mysqli_connect($servername, $username, $password, $dbname);

if (!$conn) {
  die("Connection failed: " . mysqli_connect_error());
}

$bodypart = $_POST["bodySection"];
$workout = $_POST["workout"];
$reps = $_POST["reps"];
$sets = $_POST["sets"];
$date = $_POST["date"];

$sql = "INSERT INTO exercises (bodypart, workout, reps, sets, date_performed) VALUES (?, ?, ?, ?, ?)";
$stmt = mysqli_prepare($conn, $sql);

mysqli_stmt_bind_param($stmt, "sssss", $bodypart, $workout, $reps, $sets, $date);

if (mysqli_stmt_execute($stmt)) { ?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="Style/Style.css">
    <style>
        body{
         background-image: url("Images/calisthenicspark.avif");
         background-size: cover; 
        } 
    </style>

<script>
function updateWorkoutOptions() {
    var bodySection = document.getElementById("bodySection").value;
    var workoutSelect = document.getElementById("workout");
    workoutSelect.innerHTML = "";

    if (bodySection === "arms") {
      addOption(workoutSelect, "Chinups", "chinups");
      addOption(workoutSelect, "Pullups", "pullups");
      showImage("Images/spiderman-chin-up.gif");
    } else if (bodySection === "core") {
      addOption(workoutSelect, "Crunches", "crunches");
      addOption(workoutSelect, "LegRaises", "legRaises");
      showImage("Images/donut-sit-ups.gif");
    } else if (bodySection === "legs") {
      addOption(workoutSelect, "Squats", "squats");
      addOption(workoutSelect, "Lunges", "lunges");
      showImage("Images/squatbuffcats.gif");
    }
  }

  function addOption(selectElement, text, value) {
    var option = document.createElement("option");
    option.text = text;
    option.value = value;
    selectElement.add(option);
  }

  function showImage(imageName) {
    var imageContainer = document.getElementById("imageContainer");
    imageContainer.innerHTML = "<img src='" + imageName + "' alt='Body Part' />";
  }

  updateWorkoutOptions();
</script>
 
</head>
<body>
    
    <img src="Images/Calisthenics Workout Tracker.gif" id="Title" alt="Calisthenics Tracker Title">
   
<form id="workoutForm" method="post" action="saveWorkout.php">
    <label for="bodySection">Body Part:</label>
    <select id="bodySection" name="bodySection" onchange="updateWorkoutOptions()">
    <option value="">Selected Option</option>
    <option value="arms">Arms</option>
    <option value="core">Core</option>
    <option value="legs">Legs</option>
  </select>

    <label for="workout">Workouts:</label>
   <select id="workout" name="workout">
    <option value="chinups">Chinups</option>
    <option value="pullups">Pullups</option>
    <option value="crunches">Crunches</option>
    <option value="legRaises">LegRaises</option>
    <option value="squats">Squats</option>
    <option value="lunges">Lunges</option>
  </select>
    <br>

    <label for="reps">Reps:</label>
    <input type="number" id="reps" name="reps" min="0">
    
    <label for="sets">Sets:</label>
    <input type="range" id="sets" name="sets" min="1" max="10" step="1" value="1" oninput = "this.nextElementSibling.value = this.value"> <output>1</output>

    <br>
    <label for="date">Date Exercise was Performed:</label>
    <input type="date" id="date" name="date">

    <br>
    <button type = "submit" id="submit">Save Workout</button> 
    <input type = "button" id="viewWO" value = "View Saved Workouts" onclick="window.location.href = 'Output.php';"></input>
    <p>Record inserted successfully!</p>
</form>

<!-- <img id="bodyImage" src="default.jpg" alt="Body Image">
If nothing is selected then the image will not appear. -->
<!-- <img id="woImage" scr="default.jpg" alt="Workout Image"> -->

<div id="imageContainer"></div>
    
<br>

</body>
</html>

<?php
} else {
  ?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="Style/Style.css">
    <style>
        body{
         background-image: url("Images/calisthenicspark.avif");
         background-size: cover; 
        } 
    </style>

<script>
function updateWorkoutOptions() {
    var bodySection = document.getElementById("bodySection").value;
    var workoutSelect = document.getElementById("workout");
    workoutSelect.innerHTML = "";

    if (bodySection === "arms") {
      addOption(workoutSelect, "Chinups", "chinups");
      addOption(workoutSelect, "Pullups", "pullups");
      showImage("Images/spiderman-chin-up.gif");
    } else if (bodySection === "core") {
      addOption(workoutSelect, "Crunches", "crunches");
      addOption(workoutSelect, "LegRaises", "legRaises");
      showImage("Images/donut-sit-ups.gif");
    } else if (bodySection === "legs") {
      addOption(workoutSelect, "Squats", "squats");
      addOption(workoutSelect, "Lunges", "lunges");
      showImage("Images/squatbuffcats.gif");
    }
  }

  function addOption(selectElement, text, value) {
    var option = document.createElement("option");
    option.text = text;
    option.value = value;
    selectElement.add(option);
  }

  function showImage(imageName) {
    var imageContainer = document.getElementById("imageContainer");
    imageContainer.innerHTML = "<img src='" + imageName + "' alt='Body Part' />";
  }

  updateWorkoutOptions();
</script>
 
</head>
<body>
    
    <img src="Images/Calisthenics Workout Tracker.gif" id="Title" alt="Calisthenics Tracker Title">
   
<form id="workoutForm" method="post" action="saveWorkout.php">
    <label for="bodySection">Body Part:</label>
    <select id="bodySection" name="bodySection" onchange="updateWorkoutOptions()">
    <option value="">Selected Option</option>
    <option value="arms">Arms</option>
    <option value="core">Core</option>
    <option value="legs">Legs</option>
  </select>

    <label for="workout">Workouts:</label>
   <select id="workout" name="workout">
    <option value="chinups">Chinups</option>
    <option value="pullups">Pullups</option>
    <option value="crunches">Crunches</option>
    <option value="legRaises">LegRaises</option>
    <option value="squats">Squats</option>
    <option value="lunges">Lunges</option>
  </select>
    <br>

    <label for="reps">Reps:</label>
    <input type="number" id="reps" name="reps" min="0">
    
    <label for="sets">Sets:</label>
    <input type="range" id="sets" name="sets" min="1" max="10" step="1" value="1" oninput = "this.nextElementSibling.value = this.value"> <output>1</output>

    <br>
    <label for="date">Date Exercise was Performed:</label>
    <input type="date" id="date" name="date">

    <br>
    <button type = "submit" id="submit">Save Workout</button> 
    <input type = "button" id="viewWO" value = "View Saved Workouts" onclick="window.location.href = 'Output.php';"></input>
    <p>Database error. Check connection to database!</p>
</form>

<!-- <img id="bodyImage" src="default.jpg" alt="Body Image">
If nothing is selected then the image will not appear. -->
<!-- <img id="woImage" scr="default.jpg" alt="Workout Image"> -->

<div id="imageContainer"></div>
    
<br>

</body>
</html>

<?php
}

mysqli_stmt_close($stmt);
mysqli_close($conn);
?>



